@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
	margin: 0px;
	padding: 0px;
	box-sizing: border-box;
	font-family: 'Nunito', sans-serif;
	text-decoration: none;
	border: none;
	outline: none;
	scroll-behavior: smooth;
}

:root {
	--bg-color: #1c1c1c;
	--snd-bg-color: #eaeaea;
	--text-color: #6a6a6a;
	--main-color: rgb(89, 146, 244); /* #59b2f4; */
}

html {
	font-size: 62.5%;
	overflow-x: hidden;
}

body {
	background-color: var(--bg-color);
	color: var(--text-color);
}

section {
	min-height: 100vh;
	padding: 10rem 9% 2rem;
}

.header {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	z-index: 100;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	padding: 2rem 9%;
	background: var(--bg-color);
}

.portfolio-logo {
	font-size: 3rem;
	color: var(--text-color);
	font-weight: 700;
	cursor: pointer;
}

.navbar-container a {
	font-size: 2rem;
	color: var(--text-color);
	margin-left: 4rem;
	font-weight: 700;
}

.navbar-container a.active {
	color: var(--main-color);
}

#menu-bar-icon {
	font-size: 3.6rem;
	color: var(--text-color);
	cursor: pointer;
	display: none;
}

.home {
	display: flex;
	justify-content: center;
	align-items: center;
}

.home-container h3 {
	font-size: 3.2rem;
	font-weight: 700;
}

.home-container h3:nth-of-type(2) {
	margin-bottom: 2rem;
}

.home-container h1 {
	font-size: 5.6rem;
	font-weight: 700;
	line-height: 1.3;
}

span {
	color: var(--main-color);
}

.home-img {
	width: 30em;
	height: 32em;
	background-image: url('https://ik.imagekit.io/maheshmaddhi/myProfile/mahesh%20photo.jpg');
	background-size: cover;
	background-position: center;
	border-radius: 50%;
	overflow: hidden;
	border: 3px solid white;
	animation: glow 4s ease-in-out infinite;
}

@keyframes glow {
	0% {
		box-shadow: 0px 0px 10px var(--main-color);
	}
	50% {
		box-shadow: 0px 0px 80px var(--main-color);
	}
	100% {
		box-shadow: 0px 0px 10px var(--main-color);
	}
}

.home-container p {
	font-size: 1.6rem;
}

.socila-media-profile a {
	display: inline-flex;
	justify-content: center;
	align-items: center;
	width: 4rem;
	height: 4rem;
	background: transparent;
	border: 0.2rem solid var(--main-color);
	border-radius: 50%;
	font-size: 2rem;
	color: var(--main-color);
	margin: 3rem 1.5rem 3rem 0;
	transition: 0.5s ease;
}

.socila-media-profile a:hover {
	background: var(--main-color);
	color: var(--snd-bg-color);
	box-shadow: 0 0 1rem var(--main-color);
}

.button {
	display: inline-block;
	padding: 1rem 2.8rem;
	background-color: var(--main-color);
	border-radius: 4rem;
	box-shadow: 0 0 1rem var(--main-color);
	font-size: 1.6rem;
	color: var(--bg-color);
	letter-spacing: 0.1rem;
	font-weight: 600;
	transition: 0.5s ease;
}

.button:hover {
	box-shadow: none;
	background-color: transparent;
	border: 2px solid var(--main-color);
	color: var(--text-color);
}

.about {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	background-color: var(--snd-bg-color);
}

.heading {
	text-align: center;
	font-size: 42px;
	margin-bottom: 20px;
}
.sub-heading {
	text-align: center;
	font-size: 25px;
	margin-bottom: 20px;
}

.skills-container {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: row;
	flex-wrap: wrap;
}

.skills-container img {
	height: 150px;
	width: 150px;
	margin: 20px;
	border-radius: 14px;
	cursor: pointer;
}

.skills-container img:hover {
	border: 6px solid var(--main-color);
}

.about-container p {
	font-size: 19px;
}

.service h2 {
	margin-bottom: 5rem;
}

.services-container {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
	gap: 2.5rem;
}

.services-container .service-card {
	flex: 1 1 30rem;
	background-color: var(--snd-bg-color);
	padding: 3rem 2rem 4rem;
	border-radius: 2rem;
	text-align: center;
	border: 0.2rem solid var(--bg-color);
	transition: 0.5s ease;
	cursor: pointer;
}

.services-container .service-card:hover {
	border-color: var(--main-color);
	transform: scale(1.02);
}

.service-card i {
	font-size: 7rem;
	color: var(--main-color);
}

.service-card h3 {
	font-size: 2.6rem;
}

.service-card p {
	font-size: 1.6rem;
	margin: 1rem 0 3rem;
}

.projects {
	background: var(--snd-bg-color);
}

.projects h2 {
	margin-bottom: 4rem;
}

.project-container {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	align-items: center;
	gap: 2.5rem;
}

.project-container .project-card {
	position: relative;
	border-radius: 2rem;
	box-shadow: 0 0 1rem var(--bg-color);
	overflow: hidden;
	display: flex;
	height: 200px;
}

.project-card {
	cursor: pointer;
}

.project-card img {
	width: 100%;
	transition: 0.5s ease;
	opacity: 0.7;
}

.project-card:hover img {
	transform: scale(1.1);
}

.project-card .project-content {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: linear-gradient(rgba(0, 0, 0, 0.1), var(--main-color));
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	text-align: center;
	padding: 0.4rem;
	transform: translateY(100%);
	transition: 0.5s ease;
	color: var(--snd-bg-color);
}

.project-card:hover .project-content {
	transform: translateY(0);
}

.project-content h4 {
	font-size: 3rem;
}

.project-content p {
	font-size: 1.6rem;
	margin: 0.3rem 0 1rem;
}

.project-content a {
	display: inline-flex;
	justify-content: center;
	align-items: center;
	width: 5rem;
	height: 5rem;
	background: var(--text-color);
	border-radius: 50%;
}

.project-content a i {
	font-size: 2rem;
	color: var(--snd-bg-color);
}

.project-image {
	max-height: 200px;
}

.certificates-card {
	display: flex;
	flex-direction: row;
	justify-content: center;
	flex-wrap: wrap;
	margin-top: 50px;
}

.certificates-card img {
	height: 260px;
	width: 360px;
	margin: 1.4rem;
	border-radius: 10px;
	border: 2px solid #04a4b0;
	cursor: pointer;
	transition: all 0.3s ease;
}

.certificates-card img:hover {
	box-shadow: 0 0 20px 2px #04a4b0;
	transform: scale(1.02);
}

.contact h2 {
	margin-bottom: 3rem;
}

.address {
	margin-left: auto;
	font-size: 18px;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.links p {
	margin: 10px 0px;
}
.links p a {
	text-decoration: none;
	color: var(--main-color);
}
.contact form {
	max-width: 70rem;
	margin: 1rem auto;
	text-align: center;
	margin-bottom: 3rem;
}

.contact form .input-card {
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
}

.contact form .input-card input,
.contact form textarea {
	width: 100%;
	padding: 1.5rem;
	font-size: 1.6rem;
	color: var(--text-color);
	background: var(--snd-bg-color);
	border-radius: 0.8rem;
	margin: 0.7rem 0;
}

.contact form .input-card input {
	width: 49%;
}

.contact form textarea {
	resize: none;
}

.contact form .button {
	margin-top: 2rem;
	cursor: pointer;
}

.input-card input:focus {
	border: 1px solid var(--main-color);
}

.contact form textarea:focus {
	border: 1px solid var(--main-color);
}

.footer {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
	padding: 2rem 9%;
	background: var(--snd-bg-color);
	margin-bottom: 0px;
}

.footer-container {
	font-size: 1.6rem;
}

.footer-icons {
	display: inline-flex;
	justify-content: center;
	align-items: center;
	padding: 0.8rem 1rem;
	background: var(--main-color);
	border-radius: 0.8rem;
	transition: 0.5s ease;
}

.footer-icons a:hover {
	box-shadow: 0 0 1rem var(--main-color);
}

.footer-icons a i {
	font-size: 2.4rem;
	color: var(--snd-bg-color);
}

@media screen and (max-width: 1200px) {
	html {
		font-size: 55%;
	}
}

@media screen and (max-width: 991px) {
	.header {
		padding: 2rem 3%;
	}

	section {
		padding: 10rem 3%;
	}

	.service {
		padding: 7rem;
	}

	.projects {
		padding-bottom: 7rem;
	}

	.contact {
		min-height: auto;
	}

	.footer {
		padding: 2rem 3%;
	}
}

@media screen and (max-width: 768px) {
	#menu-bar-icon {
		display: block;
	}

	.navbar-container {
		position: absolute;
		top: 100%;
		left: 0;
		width: 100%;
		padding: 1rem 3%;
		background: var(--bg-color);
		border-top: 0.1rem solid rgba(0, 0, 0, 0.2);
		box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.2);
		display: none;
	}

	.navbar-container.active {
		display: block;
	}

	.navbar-container a {
		display: block;
		font-size: 2rem;
		margin: 3rem 0;
	}

	.home {
		flex-direction: column;
	}

	.home-container h3 {
		font-size: 2.6rem;
	}

	.home-container {
		order: 2;
	}

	.home-container h1 {
		font-size: 5rem;
	}

	.home-img img {
		width: 70vw;
		margin-top: 4rem;
	}

	.about {
		flex-direction: column;
	}

	.service h2 {
		margin-bottom: 3rem;
	}

	.projects h2 {
		margin-bottom: 3rem;
	}

	.project-container {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media screen and (max-width: 617px) {
	.project-container {
		grid-template-columns: 1fr;
	}

	.home-img img {
		width: 80vw;
		margin-top: 8rem;
	}
}

@media screen and (max-width: 450px) {
	html {
		font-size: 50%;
	}

	.contact form .input-card input {
		width: 100%;
	}

	section {
		padding: 22px;
	}

	.about-container p {
		font-size: 18px;
	}
	.skills-container img {
		height: 80px;
		width: 80px;
		margin: 12px;
	}

	.certificates-card img {
		height: 200px;
		width: 300px;
	}
}
